.container {
  max-width: 1280px;
  padding: 0 1.5rem;
  margin: auto;
  overflow: hidden; }

.btn-main, .btn-light, .btn-dark {
  display: inline-block;
  padding: 0.8rem 2rem;
  transition: all 0.5s;
  border: none;
  cursor: pointer; }

.btn-main {
  color: #333;
  background-color: #ffbc00; }

.btn-light {
  color: #333;
  background-color: #f4f4f4; }

.btn-dark {
  color: #f4f4f4;
  background-color: #333; }

button[class^="btn-"]:hover,
a[class^="btn-"]:hover,
input[class^="btn-"]:hover {
  background-color: #ffbc00; }

.bg-main {
  background: #ffbc00;
  color: #fff; }

.bg-dark {
  background: #333;
  color: #fff; }

.bg-light {
  background: #f4f4f4;
  color: #000; }

.bg-medium {
  background: #ccc;
  color: #000; }

.lead {
  font-size: 1.3rem;
  margin-bottom: 2rem; }

.text-center {
  text-align: center; }

.py-1 {
  padding: 1rem 0; }

.py-2 {
  padding: 2rem 0; }

.py-3 {
  padding: 3rem 0; }

.py-4 {
  padding: 4rem 0; }

.my-1 {
  margin: 1rem 0; }

.my-2 {
  margin: 2rem 0; }

.my-3 {
  margin: 3rem 0; }

.my-4 {
  margin: 4rem 0; }

.section-title {
  font-size: 2rem;
  display: block;
  padding-bottom: 0.5rem;
  text-align: center;
  font-weight: 100;
  text-transform: uppercase; }

.bottom-line {
  height: 2px;
  width: 3rem;
  background: #ffbc00;
  display: block;
  margin: 0 auto 1rem auto; }

* {
  margin: 0;
  padding: 0; }

body {
  font-family: "Dosis", sans-serif;
  line-height: 1.6;
  background: #fff; }

a {
  text-decoration: none;
  color: #333; }

ul {
  list-style: none; }

h2,
h3,
h4 {
  text-transform: uppercase; }

img {
  width: 100%; }

#logo {
  color: #fff;
  text-transform: uppercase;
  font-size: 2rem;
  text-align: center; }

#main-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 1rem; }
  #main-nav ul {
    display: flex; }
  #main-nav li {
    padding: 1rem 1.5rem; }
  #main-nav a {
    text-decoration: none;
    color: #fff;
    text-transform: uppercase;
    border-bottom: 3px transparent solid;
    padding-bottom: 0.5rem;
    transition: border-color 0.5s; }
    #main-nav a:hover {
      border-color: #ccc; }
    #main-nav a.current {
      border-color: #ffbc00; }

#header-home {
  background: url("../img/showcase.jpg") no-repeat center right/cover;
  min-height: 100vh;
  color: #fff; }
  #header-home .header-content {
    text-align: center;
    padding-top: 15%; }
    #header-home .header-content h1,
    #header-home .header-content #txt-type {
      font-size: 4rem;
      line-height: 1.2;
      font-weight: 700; }
    #header-home .header-content .txt {
      display: inline-block; }

#header-inner {
  background: url("../img/showcase.jpg") no-repeat 30% 51%/cover;
  height: 5.5rem;
  border-bottom: 3px solid #ffbc00; }

#home-a .specials {
  margin-top: 3rem;
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(4, 1fr); }
  #home-a .specials .fas {
    color: #ffbc00;
    padding-bottom: 0.4rem; }

#about-b {
  background-color: rgba(51, 51, 51, 0.2);
  box-shadow: rgba(60, 64, 67, 0.15) 0px 1px 3px 1px; }
  #about-b .progress {
    overflow: hidden;
    height: 20px;
    background: #ccc;
    border-radius: 5px;
    margin-bottom: 0.6rem; }
    #about-b .progress div {
      height: 100%;
      color: #fff;
      text-align: center;
      background: #ffbc00; }

#contact-a .text-fields {
  display: grid;
  grid-template-areas: "name email" "subject phone" "message message";
  grid-gap: 1.2rem;
  margin-bottom: 1.2rem; }
  #contact-a .text-fields .name-input {
    grid-area: name; }
  #contact-a .text-fields .subject-input {
    grid-area: subject; }
  #contact-a .text-fields .email-input {
    grid-area: email; }
  #contact-a .text-fields .phone-input {
    grid-area: phone; }
  #contact-a .text-fields .message-input {
    grid-area: message;
    height: 100px; }
  #contact-a .text-fields .text-input {
    padding: 0.5rem 1rem; }

#contact-a button[type="submit"] {
  width: 50%; }

#contact-b .contact-info {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  text-align: center; }
  #contact-b .contact-info a {
    color: #f4f4f4; }

#contact-c h1 {
  text-align: center;
  font-size: 4rem; }

#main-footer {
  background: #333;
  color: #fff;
  height: 5rem; }
  #main-footer .footer-content {
    display: flex;
    justify-content: center;
    height: 5rem;
    align-items: center; }
    #main-footer .footer-content .social .fab {
      margin-right: 1rem;
      border: 2px #fff solid;
      border-radius: 50%;
      height: 20px;
      width: 20px;
      line-height: 20px;
      text-align: center;
      padding: 0.5rem; }
      #main-footer .footer-content .social .fab:hover {
        background: #ffbc00; }

@media (max-width: 800px) {
  #header-home .header-content {
    padding-top: 5rem; } }

@media (max-width: 500px) {
  #main-nav {
    flex-direction: column;
    align-items: center; }
    #main-nav li {
      padding: 1rem; }
  #header-home {
    min-height: 100vh; }
    #header-home .header-content h1,
    #header-home .header-content #txt-type {
      font-size: 1rem; }
  #header-inner {
    height: 10rem; }
  #about-b {
    padding: 1rem; }
    #about-b .section-title {
      font-size: 1rem; }
    #about-b h4 {
      font-size: 0.8rem; }
  #home-a .specials,
  #home-b .stats,
  #home-c .process,
  #about-d .testimonials,
  #contact-b .contact-info,
  .items {
    grid-template-columns: 1fr; }
  #home-a .specials div {
    border-bottom: 1px #f4f4f4 solid;
    padding-bottom: 1rem; }
    #home-a .specials div:last-child {
      border: none;
      padding-bottom: 0; }
  #home-b .stats div {
    padding: 2rem 0 1rem 0; }
  #about-a .about-info {
    grid-template-areas: "bioimage" "bio" "aw1" "aw2" "aw3"; }
  #about-c {
    display: none; }
  #contact-a .text-fields {
    grid-template-areas: "name" "subject" "email" "phone" "message"; }
  #contact-b div {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px #555 solid; }
    #contact-b div:last-child {
      border: none;
      margin-bottom: 0;
      padding-bottom: 0; }
  #contact-c h1 {
    font-size: 2rem; }
  #main-footer {
    height: 7rem; }
    #main-footer .footer-content {
      flex-direction: column;
      padding: 1rem;
      height: 5rem; } }

@media (max-height: 580px) {
  #header-home .header-content {
    padding-top: 3rem; } }

@media (max-height: 330px) {
  #header-home .header-content h1 {
    font-size: 2rem; } }
